Info: detta är inte ändringsloggen för senaste stabila version 4.14.3
se alla växlar

Pro v2.7.3 - med fokus på kompatibilitet och bugfixes - är tillgängligt

Den här utgåvan fokuserar på Google API-förändringar som är i kraft sedan 22 januari 2016 och hjälper till att fixa relaterade potentiella problem.

En uppdatering av den senaste versionen rekommenderas - som alltid - starkt. För mer information om denna utgåva se nedan.


Låt oss veta vad du tycker om den här nya utgåvan av lämna in en recension eller lämnar en kommentar nedan!

Om du vill hålla dig uppdaterad med den senaste utvecklingen av Maps Marker Pro, följ @MapsMarker på twitter (= senaste uppdateringar), på Facebook, Google+ eller prenumerera på nyheter via RSS eller via RSS / e-post.

Vi vill också bjuda in dig till vårt affiliate program som erbjuder provisioner upp till 50%. Besök gärna om du är intresserad av att bli återförsäljare https://www.mapsmarker.com/reseller


Låt oss nå höjdpunkterna i pro v2.7.3:

förbättrat stöd för Google Maps API

Google har ändrat Google Maps API den 22 juni 2016, vilket kräver en obligatorisk Google API-nyckel för alla webbplatser, som kallar Google Maps API-tjänster för första gången efter 22 juni 2016 - fullständig information här.

Om detta gäller för din webbplats / domän måste du registrera en gratis API-nyckel för att kunna fortsätta använda Googles tjänster på din webbplats. v2.7.3 hjälper dig att verifiera detta och hjälpa dig genom denna process - utöver vår uppdaterade handledning om hur du registrerar en Google Maps API-nyckel på https://mapsmarker.com/google-maps-api-key.

kompatibilitetskontroll och alternativ för att avregistrera Google Maps API-skript tillagda av tredje parts teman eller plugins

Vi upptäckte att denna förändring också kan leda till problem, om ett annat plugin eller tema också anger Google Maps API - särskilt om den implementeringen inte tar med din Google Maps API-nyckel eller inte laddar alla bibliotek som behövs för Maps Marker Pro. Resultatet är att kartor eller adresssökning inte fungerar längre.

Så för att förhindra detta har vi lagt till en ny kompatibilitetskontroll. Om detta gäller för din webbplats ser du följande administratörsmeddelande:

avregistrera-varning

För att åtgärda detta kan du antingen ta bort ytterligare Google Maps API-samtal från plugin eller teman från tredje part eller - som vi rekommenderar - aktivera det nya kompatibilitetsalternativet "Deregistrera Google Maps API-skript som är anordnade av tredje parter":

avregistrera-inställning

Detta kommer att ringa wp_dequeue_script () - funktionen för alla Google Maps API-samtal från tredjeparts plugins eller teman - vilket förhindrar att de laddas.

Andra förändringar och optimeringar

  • kompatibilitetskontroll för “Page Builder by SiteOrigin” & “Yoast SEO” där en speciell inställningskombination gör att kartor går sönder
  • lista över markörer-sökbox stöder nu också enter för att starta en sökning (thx Jeff!)
  • visa lastningsindikator när du använder sökning i listan över markörer (thx Jeff!)

Bug fixar

  • kompatibilitetskontrollen för plugin för autoptimering bröts när plugin uppdaterades
  • "Förbättra kartan" och "ToS" -länkar på lagerkartor med Google som baskartor var inte klickbara

Kända problem

Geolocation-funktionen fungerar inte längre med Google Chrome 50+ såvida inte din webbplats är säkert tillgänglig via https

Med Chrome 50 gjorde Google en betydande förändring av geolokationsstödet i webbläsaren: alla applikationer som begär användarens nuvarande position (inte bara för Maps Marker Pro: s geolocationfunktion) tillåts bara längre att hämta användarens nuvarande position om webbplatsen är inställd för att levereras säkert via https - användare kommer att se följande varning istället:

geolocation-error-info

Se mer information om detta beslut från Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolocation fungerar fortfarande på webbplatser som inte är https om användarna får åtkomst till webbplatsen via alternativa webbläsare som Firefox, Safari eller Internet Explorer - hur som helst kan det vara troligt att dessa webbläsare också kommer att lägga till en liknande säkerhetsbegränsning i framtiden.

Så om du behöver Maps Marker Pro geolocation featue på din webbplats (som med v2.7 till och med blir mer användbar eftersom du kan sortera listan med markörer baserat på användarens nuvarande position), rekommenderas det starkt att migrera din webbplats till https. Vissa värdare har redan gratis https-certifikat från letsencrypt.org till exempel. För konfigurationer som behövs på din WordPress-webbplats för att konfigurera den för att stödja https, vänligen titta på handledning som https://css-tricks.com/moving-to-https-on-wordpress/.

Eftersom https har fler fördelar för din webbplats än bara geolokalisering som arbetar igen med Google Chrome 50+ (som att säkerställa dataintegriteten, avsändarverifiering och användares integritet samt högre Google-ranking eftersom https används som rankningssignal) rekommenderar vi starkt att byta din webbplats till https endast om du inte har gjort det ännu.

Uppdateringar av översättningar

Tack vare många motiverade bidragsgivare inkluderar denna utgåva följande uppdaterade översättningar:

Om du vill bidra till översättningar (nya hindi-översättare skulle uppskattas!), Besök https://translate.mapsmarker.com/projects/lmm för mer information.

Observera att översättare också kompenseras för deras bidrag - till exempel om en översättning är färdig mindre än 50%, får översättaren ett gratis 25 licenspaket till ett värde av 249 € som kompensation för att slutföra översättningen till 100%.

Outlook - planer för nästa utgåvor

Förstå att vi inte kan lova några släppdatum för nya funktioner. De färdplan för stora nya funktioner ger dig en uppfattning var Maps Marker Pro är på väg - hur som helst vi bara vill behålla flexibiliteten för att lägga till optimeringar och bugfixes med ganska oplanerade mindre utgivningar som främst är resultatet av användarnas feedback.

Prenumerera på denna blogg (via RSS or E-post) eller följ @MapsMarker på twitter (= senaste uppdateringar) om du vill hålla dig uppdaterad med de senaste utvecklingsnyheterna.

Full förändringslogg

kompatibilitetskontroll och alternativ för att avregistrera Google Maps API-skript tillagda av tredje parts teman eller plugins
kompatibilitetskontroll för “Page Builder by SiteOrigin” & “Yoast SEO” där en speciell inställningskombination gör att kartor går sönder
lista över markörer-sökbox stöder nu också enter för att starta en sökning (thx Jeff!)
visa lastningsindikator när du använder sökning i listan över markörer (thx Jeff!)
förbättrad Google Maps API-nyckelsupport som är obligatoriskt sedan 22 juni 2016
kompatibilitetskontrollen för plugin för autoptimering bröts när plugin uppdaterades
"Förbättra kartan" och "ToS" -länkar på lagerkartor med Google som baskartor var inte klickbara
Översättningsuppdateringar
Om du vill hjälpa till med översättningar, besök webbaserad översättningsplattform
uppdaterad tysk översättning
uppdaterad rysk översättning tack vare Ekaterina Golubina (stöds av Teplitsa från Social Technologies - http://te-st.ru) och Vyacheslav Strenadko, http://slavblog.ru

visa alla tillgängliga växlar

Hur man laddar ner / uppdaterar

Det enklaste sättet att uppdatera är att använda WordPress-uppdateringsprocessen: logga in med en användare som har administratörsbehörighet, navigera till Dashboard / Updates, välj plugins som ska uppdateras och tryck på knappen “Update Plugins”. Pro-plugin kontrollerar var 12: e timme om en ny version är tillgänglig. Du kan också aktivera uppdateringskontrollen manuellt genom att gå till Plugins och klicka på länken "Manuellt leta efter uppdateringar" bredvid "Maps Marker Pro":

manuell uppdatering-check

Om du inte ser länken "Sök efter uppdateringar" och använder en version under 1.7, uppdatera manuellt en gång genom att ladda ner det aktuella paketet från https://www.mapsmarker.com/download-pro och att skriva över befintliga plugin-filer på din server via FTP. Detta kan behövas på flera värdar, som använder föråldrade SSL-bibliotek, som förhindrar Maps Marker Pro från att skapa en säker anslutning för att hämta uppdateringspaketet från mapsmarker.com. Pro v1.7 innehåller en lösning för den typen av servrar och följande uppdateringar bör fungera som vanligt. Om du är drabbad och behöver hjälp, snälla öppna en supportbiljett.

Hur man kontrollerar integriteten i plugin-paketet

SHA-256 hashvärde:

A1D12D157FF68C70D00BF7718DBB75A1804610EF5D51208F10005C345D3B7C7C

Klicka här för en handledning om hur du verifierar integriteten i plugin-paketet (rekommenderas om plugin-paketet för en ny installation inte laddades ner från https://www.mapsmarker.com - verifiering behövs dock inte om den automatiska uppdateringsprocessen används)

Ytterligare uppdateringsanteckningar för betatestare

Inga ytterligare steg krävs om du uppdaterar från en betaversion.

Lämna en kommentar

XHTML: Du kan använda dessa taggar: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X